# eric6.E5XML.XMLStreamWriterBase

Module implementing a base class for all of eric6s XML stream writers.

### Global Attributes

None

### Classes

XMLStreamWriterBase | Class implementing a base class for all of eric6s XML stream writers.

### Functions

None

## XMLStreamWriterBase

Class implementing a base class for all of eric6s XML stream writers.

### Derived from

QXmlStreamWriter

### Class Attributes

None

### Class Methods

None

### Methods

XMLStreamWriterBase | Constructor
_writeBasics | Protected method to dump an object of a basic Python type.
_write_bool | Protected method to dump a bool object.
_write_bytearray | Protected method to dump a bytearray object.
_write_bytes | Protected method to dump a bytes object.
_write_complex | Protected method to dump a complex object.
_write_dictionary | Protected method to dump a dict object.
_write_float | Protected method to dump a float object.
_write_frozenset | Protected method to dump a frozenset object.
_write_int | Protected method to dump an int object.
_write_list | Protected method to dump a list object.
_write_none | Protected method to dump a NoneType object.
_write_set | Protected method to dump a set object.
_write_string | Protected method to dump a str object.
_write_tuple | Protected method to dump a tuple object.
_write_unimplemented | Protected method to dump a type, that has no special method.
writeBasics | Public method to write a tag with a basic Python object dump.
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### XMLStreamWriterBase (Constructor)

XMLStreamWriterBase(device)

Constructor

device
  reference to the I/O device to write to (QIODevice)

#### XMLStreamWriterBase._writeBasics

_writeBasics(pyobject)

Protected method to dump an object of a basic Python type.

pyobject
  object to be dumped

#### XMLStreamWriterBase._write_bool

_write_bool(value)

Protected method to dump a bool object.

value
  value to be dumped (boolean)

#### XMLStreamWriterBase._write_bytearray

_write_bytearray(value)

Protected method to dump a bytearray object.

value
  value to be dumped (bytearray)

#### XMLStreamWriterBase._write_bytes

_write_bytes(value)

Protected method to dump a bytes object.

value
  value to be dumped (bytes)

#### XMLStreamWriterBase._write_complex

_write_complex(value)

Protected method to dump a complex object.

value
  value to be dumped (complex)

#### XMLStreamWriterBase._write_dictionary

_write_dictionary(value)

Protected method to dump a dict object.

value
  value to be dumped (dictionary)

#### XMLStreamWriterBase._write_float

_write_float(value)

Protected method to dump a float object.

value
  value to be dumped (float)

#### XMLStreamWriterBase._write_frozenset

_write_frozenset(value)

Protected method to dump a frozenset object.

value
  value to be dumped (frozenset)

#### XMLStreamWriterBase._write_int

_write_int(value)

Protected method to dump an int object.

value
  value to be dumped (integer)

#### XMLStreamWriterBase._write_list

_write_list(value)

Protected method to dump a list object.

value
  value to be dumped (list)

#### XMLStreamWriterBase._write_none

_write_none(value)

Protected method to dump a NoneType object.

value
  value to be dumped (None) (ignored)

#### XMLStreamWriterBase._write_set

_write_set(value)

Protected method to dump a set object.

value
  value to be dumped (set)

#### XMLStreamWriterBase._write_string

_write_string(value)

Protected method to dump a str object.

value
  value to be dumped (string)

#### XMLStreamWriterBase._write_tuple

_write_tuple(value)

Protected method to dump a tuple object.

value
  value to be dumped (tuple)

#### XMLStreamWriterBase._write_unimplemented

_write_unimplemented(value)

Protected method to dump a type, that has no special method.

value
  value to be dumped (any pickleable object)

#### XMLStreamWriterBase.writeBasics

writeBasics(tag, pyobject)

Public method to write a tag with a basic Python object dump.

tag
  tag name (string)
pyobject
  object to be dumped

#### XMLStreamWriterBase.writeXML

writeXML()

Public method to write the XML to the file.

Up